// Get the LCD I2C Library here:
// https://bitbucket.org/fmalpartida/new-liquidcrystal/downloads
// Move all *_I2C files into a new folder named LiquidCrystal_I2C
// in the Arduino library folder

#ifndef __LCD_MODULE_H__
#define __LCD_MODULE_H__

#define SPACES      "                               "

#define LCDCOLS           16               // LCD stuff
#define LCDROWS           2
#define SPLASHDELAY    2000               // Hold splash screen for 2 seconds

LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // Create LCD object and set the LCD I2C address

void setup_lcd(  int splash_delay  ) {

  lcd.begin(LCDCOLS, LCDROWS);        // Display LCD
  if( splash_delay > 0 ) {
      lcd.setCursor(0, 0); lcd.print("FreeDuino");
      lcd.setCursor(3, 1); lcd.print("LCD Splash");
      delay(splash_delay);
  }
  lcd.setCursor(0, 0); lcd.print(SPACES);
  lcd.setCursor(0, 1); lcd.print(SPACES);

}

#endif // __LCD_MODULE_H__
